Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine
Interface JRVirtualizable

All Known Implementing Classes:
  JRVirtualPrintPage

    public interface JRVirtualizable

Version:
  $Id: JRVirtualizable.java 3033 2009-08-27 11:46:22Z teodord $
Author:
  John Bindel

Method Summary
`void` | `afterExternalization()` Called by the virtualizer after the object's data is externalized, but before the virtual data is `removed`.
`void` | `afterInternalization()` Called by the virtualizer after the object's data was made available to the object.
`void` | `beforeExternalization()` Called by the virtualizer before the object's data is externalized.
`JRVirtualizationContext` | `getContext()` Returns the virtualization context this object belongs to.
`java.lang.Object` | `getIdentityData()` Used by the virtualizer to get identity data.
`java.lang.String` | `getUID()` Used by the virtualizer to identify the data for this object.
`java.lang.Object` | `getVirtualData()` Used by the virtualizer to get data.
`void` | `removeVirtualData()` Used by the virtualizer to remove the data from the object in memory so that it may be garbage collected.
`void` | `setIdentityData(java.lang.Object id)` Used by the virtualizer to set identity data.
`void` | `setVirtualData(java.lang.Object o)` Used by the virtualizer to set data.

Method Detail

### getUID

    java.lang.String getUID()

  Used by the virtualizer to identify the data for this object.

### setVirtualData

    void setVirtualData(java.lang.Object o)

  Used by the virtualizer to set data.

### getVirtualData

    java.lang.Object getVirtualData()

  Used by the virtualizer to get data.

### removeVirtualData

    void removeVirtualData()

  Used by the virtualizer to remove the data from the object in memory so that it may be garbage collected.

### setIdentityData

    void setIdentityData(java.lang.Object id)

  Used by the virtualizer to set identity data.

### getIdentityData

    java.lang.Object getIdentityData()

  Used by the virtualizer to get identity data.

### beforeExternalization

    void beforeExternalization()

  Called by the virtualizer before the object's data is externalized.

### afterExternalization

    void afterExternalization()

  Called by the virtualizer after the object's data is externalized, but before the virtual data is `removed`.

### afterInternalization

    void afterInternalization()

  Called by the virtualizer after the object's data was made available to the object.

### getContext

    JRVirtualizationContext getContext()

  Returns the virtualization context this object belongs to.

  Returns:
    the virtualization context this object belongs to

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com